View Issue Details

IDProjectCategoryView StatusLast Update
00310372.x IDE BugsResource TreePublic2019-07-02 15:42
ReporterScott DunbarAssigned ToSteven Campbell 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionReopened 
Product Version2.2.3 
Target Version2.2.3Fixed in Version2.2.3 
Summary0031037: Resource Tree: Groups can be created with invalid character set, causes issues importing packages created with these characters
DescriptionIssue:
 Groups can be created with an invalid character set, causes issues importing packages created with these characters

expected:
 You should not be able to use non-latin characters in the resource tree
Steps To Reproduce1. Set keyboard language to non-latin characters (Chinese, Russian)
2. Create a new group in resource tree
3. Type in some characters
4. observe that you are not blocked
--optional to find effect of issue--
5. create a resource inside that group
6. create a local asset package with that group and resource
7. attempt to import asset into a new project
8 observe error
TagsIDE
2.x IDE Found In2.2.3.425
2.x Runtime Found In2.2.3.337
2.x IDE Verified In2.2.3.432
2.x Runtime Verified In2.2.3.341

Activities

Scott Dunbar

2019-06-12 09:30

Adminstrator  

a_thumb.gif (432,445 bytes)

Steven Campbell

2019-06-17 14:05

Manager   ~0064188

Fixed in Red IDE/GitHub Pull Request 4682
Git Id: f1c668b3d21f92759b0a52243c7a38042ef794f1

Dan

2019-06-18 17:33

Adminstrator   ~0064211

IDE 426+

Dan

2019-06-24 15:55

Adminstrator   ~0064259

Reopening. I can still create groups using Chinese characters (have not tried Russian/Japanese/others yet, but doubt this is language-specific). Have added a simple project which already has a couple of groups with invalid names - can just copy/paste the name in to a new group and reproduce the issue.

testdrawingnosprite.yyz (22,437 bytes)

Steven Campbell

2019-06-25 10:08

Manager   ~0064267

Fixed in Red IDE/GitHub Pull Request 4693
Git Id: 1efe9e03a33b3718b6ac6cc54e7cd406dae0e57d

Dan

2019-06-25 15:00

Adminstrator   ~0064281

Will be in IDE 430+

Scott Dunbar

2019-06-28 16:29

Adminstrator   ~0064309

this issue will still occur if the group name also contains latin characters along with non-latin characters.

tested on 2.2.3.430

Кгыышфт asdsa

Chinese割肉拍 asd

removing the latin chars will correctly show error message.

Steven Campbell

2019-07-01 15:26

Manager   ~0064315

Third time's the charm...

Fixed in Red IDE/GitHub Pull Request 4699
Git Id: a896ac7432c814599c21779cea936715c23e5b68

Dan

2019-07-02 15:42

Adminstrator   ~0064334

If at first you don;'t succeed...

Closing, as the above issue has now been resolved also.